org.apache.maven.scm.command.update

## Class UpdateScmResultWithRevision

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.command.update.UpdateScmResultWithRevision

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GitUpdateScmResult, SvnUpdateScmResult

    public class UpdateScmResultWithRevision
    extends UpdateScmResult

Version:
  $Id: UpdateScmResultWithRevision.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Trygve Laugstøl, Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateScmResultWithRevision(List updatedFiles, List changes, String revision, ScmResult result)`
`UpdateScmResultWithRevision(String commandLine, List updatedFiles, String revision)`
`UpdateScmResultWithRevision(String commandLine, String providerMessage, String commandOutput, String revision, boolean success)`

### Method Summary

Methods
`String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

`getChanges, getUpdatedFiles, setChanges`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateScmResultWithRevision

    public UpdateScmResultWithRevision(String commandLine,
                               String providerMessage,
                               String commandOutput,
                               String revision,
                               boolean success)

#### UpdateScmResultWithRevision

    public UpdateScmResultWithRevision(String commandLine,
                               List updatedFiles,
                               String revision)

#### UpdateScmResultWithRevision

    public UpdateScmResultWithRevision(List updatedFiles,
                               List changes,
                               String revision,
                               ScmResult result)

### Method Detail

#### getRevision

    public String getRevision()